View Single Post
Old 01-27-09, 03:29 PM   #4
David Marec
Registered User
 
Join Date: Nov 2006
Location: Toulouse, France
Posts: 22
Default Re: Support for X.Org Server 1.5

Quote:
Originally Posted by zander View Post
from my side, the driver failed to load on the following errors, since the last update:
Code:
(II) LoadModule: "glx"

(II) Loading /usr/local/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="NVIDIA Corporation"
        compiled for 4.0.2, module version = 1.0.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 0.1
(EE) module ABI major version (0) doesn't match the server's version (1)
(II) UnloadModule: "glx"
(II) Unloading /usr/local/lib/xorg/modules/extensions//libglx.so
(EE) Failed to load module "glx" (module requirement mismatch, 0)
(II) LoadModule: "dri"

(II) Loading /usr/local/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
        compiled for 1.5.3, module version = 1.0.0
        ABI class: X.Org Server Extension, version 1.1
(II) Loading extension XFree86-DRI
(II) LoadModule: "nvidia"

(II) Loading /usr/local/lib/xorg/modules/drivers//nvidia_drv.so
dlopen: /usr/local/lib/xorg/modules/drivers//nvidia_drv.so: Undefined symbol "PictureScreenPrivateIndex"
(EE) Failed to load /usr/local/lib/xorg/modules/drivers//nvidia_drv.so
(II) UnloadModule: "nvidia"
(EE) Failed to load module "nvidia" (loader failed, 7)
I never have to use the --ignore-abi option.

The driver is the 96xx one.
David Marec is offline   Reply With Quote